<div style="display: flex; justify-content: center;">
    <h1>
        list of posts
    </h1>
</div>
<div style="display: flex; justify-content: center;">
    <div style="display: flex; flex-wrap: wrap; justify-content: space-evenly; margin: 1px; width: 60%;">

        <div class="card-posts" *ngFor="let item of post; let indexOfelement=index;">
            <div *ngIf="indexOfelement < value; else showThis">
                <div>
                    <h3>ID : {{item.id}}</h3>
                </div>
                <div (click)="browseToDetails(item.id)">
                    <h4>TITLE : {{item.title}}</h4>
                </div>
            </div>
            <ng-template #showThis>
                <button (click)="handleShowMore(value + 10)">
                    show more post
                </button>
            </ng-template>
        </div>
    </div>
</div>